// SPDX-License-Identifier: Apache-2.0
/* eslint-disable @typescript-eslint/no-explicit-any */
import ValidatedRequest from "../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../FormatValidation";
export default class RoleRequest extends ValidatedRequest {
    securityId;
    targetId;
    role;
    constructor({ targetId, securityId, role }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            targetId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            role: FormatValidation.checkBytes32Format(),
        });
        this.securityId = securityId;
        this.targetId = targetId;
        this.role = role;
    }
}
